Skip to content
Navigation

Create cycle

POST
https://api.sureshake.com/v2/execution/cycles

Request body JSON

Any of the following:

  • object
    • entityId
      string
      required
      format: uuid
    • label
      string
      required
      maxLength: 120 · minLength: 1
    • startDate
      string
      required
      format: date-time
    • primaryOutcome
      string
      required
      maxLength: 4000 · minLength: 1
    • baselineId
      string
      required
      format: uuid
    • ownerUserId
      string
      required
      maxLength: 255 · minLength: 1
    • cadence
      weekly
      or
      biweekly
      or
      monthly
      required
    • visibility
      public
      or
      follower
      or
      capital
      or
      diligence
      or
      custom
      required
    • durationMode
      eight_week_template
      required
    • reviewPrompt
      optional
      object
      • enabled
        optional
        boolean
        default: true
      • dayOfWeek
        optional
        integer
        maximum: 6 · minimum: 0 · default: 5
      • localTime
        optional
        string
        pattern: ^([01][0-9]|2[0-3]):[0-5][0-9]$ · default: "16:00"
      • timeZone
        optional
        string
        maxLength: 100 · minLength: 1 · default: "UTC"
  • object
    • entityId
      string
      required
      format: uuid
    • label
      string
      required
      maxLength: 120 · minLength: 1
    • startDate
      string
      required
      format: date-time
    • primaryOutcome
      string
      required
      maxLength: 4000 · minLength: 1
    • baselineId
      string
      required
      format: uuid
    • ownerUserId
      string
      required
      maxLength: 255 · minLength: 1
    • cadence
      weekly
      or
      biweekly
      or
      monthly
      required
    • visibility
      public
      or
      follower
      or
      capital
      or
      diligence
      or
      custom
      required
    • durationMode
      custom
      required
    • endDate
      string
      required
      format: date-time
    • reviewPrompt
      optional
      object
      • enabled
        optional
        boolean
        default: true
      • dayOfWeek
        optional
        integer
        maximum: 6 · minimum: 0 · default: 5
      • localTime
        optional
        string
        pattern: ^([01][0-9]|2[0-3]):[0-5][0-9]$ · default: "16:00"
      • timeZone
        optional
        string
        maxLength: 100 · minLength: 1 · default: "UTC"

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • label
      string
      required
      maxLength: 120 · minLength: 1
    • cycleType
      string
      required
    • startDate
      string
      required
      format: date-time
    • endDate
      string
      required
      format: date-time
    • status
      planning
      or
      locked
      or
      active
      or
      resolution_open
      or
      closed
      or
      paused
      +4 more
      required
    • baselineId
      string
      or null
      required
      format: uuid
    • primaryOutcome
      string
      or null
      required
      maxLength: 4000 · minLength: 1
    • ownerUserId
      string
      or null
      required
      minLength: 1
    • cadence
      weekly
      or
      biweekly
      or
      monthly
      or null
      required
    • visibility
      public
      or
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      required
    • durationMode
      eight_week_template
      or
      custom
      or null
      required
    • durationTemplate
      eight_week
      or null
      required
    • activatedBy
      string
      or null
      required
      minLength: 1
    • activatedAt
      string
      or null
      required
      format: date-time
    • createdBy
      string
      or null
      required
      minLength: 1
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close